// let host = window.location.protocol+"//"+window.location.hostname;
// 当前后端不在同一个服务器时，需要指定host地址 host为后端接口地址
// http://49.4.21.177:8098/doc.html
let host = "http://49.4.21.177";
// let host = "http://139.9.47.90";
// let host = "http://139.9.50.94"; // 导入导出
// let host = "http://192.168.40.238"; // 实哥
// let host = "http://192.168.40.208"; // 王平
// let host = "http://192.168.40.239"; // 向贞好
// let host = "http://192.168.40.243"; // 李宣波
// let host = "http://192.168.5.130"; // 海装内网

// 前端部署访问地址，用于静态文件访问，路径跳转等
let onlineFront = "http://119.3.200.177"
// let onlineFront = "https://localhost"   // 测试时用本地

// combine为true时五合一部署, 为false时分五个服务部署
let combine = true;
var defaultModulePortMap = {
  form: '8082',
  portal: '8084', //sysconfig
  application: '8085',
  bpmRunTime: '8086',
  bpmModel: '8087',
  uc: '8088',
  yhxt: '8089'
}

window.getModuleRootUrl = function (module) {
  // 默认是全部服务合一的端口
  var modulePort = "8098";    // 海装、
  // var modulePort = "8198"; // 养护系统
  
  // var modulePort = "8080";    // 导入导出
  if (!combine) {
    modulePort = defaultModulePortMap[module];
  }
  return host + ":" + modulePort;
}


window.context = {
  // manage: onlineFront + ':8080/mvue', //bpm管理端页面
  // front: onlineFront + ':8080/fvue', //bpm前端页面 这个暂时没有
// 
  // manage: onlineFront + ':8888/mvue', //中铁管理端页面
  // front: onlineFront + ':8888/fvue', //中铁前端页面

  manage: host + ':8080/mvue', // 海装管理端页面
  front: host + ':8080/fvue', //海装前端页面


  report: host + ':8098/', // 数据报表接口
  mobile: host + ':8082/mobilevue', //手机端页面
  WebSocket: host + ":8099", //websocket
  application: getModuleRootUrl('application'),
  form: getModuleRootUrl('form'),
  portal: getModuleRootUrl('portal'),
  bpmRunTime: getModuleRootUrl('bpmRunTime'),
  bpmModel: getModuleRootUrl('bpmModel'),
  uc: getModuleRootUrl('uc'),
  mc: getModuleRootUrl('mc'),
}

// 单点配置
window.ssoConfig = {
  mode: "", // 空则不使用单点  支持的模式有  cas oauth basic
  url: 'http://192.168.1.115:8093/oauth/authorize',
  clientId: 'eip7',// oauth模式下需要提供
  logout: 'http://192.168.1.115:8093/logout'
}